// SPDX-FileCopyrightText: 2025 Slatian
//
// SPDX-License-Identifier: LGPL-3.0-only

/// A way to describe how nultiple elements are joined together
/// in a chain of multiple.
#[derive(Debug, Clone, PartialEq, Eq)]
pub enum BooleanJoiner {
	/// Values are joined through a boolean or
	Or,

	/// Values are joined through a boolean and
	And,
}

impl ToString for BooleanJoiner {
	fn to_string(&self) -> String {
		match self {
			Self::Or => "or",
			Self::And => "and",
		}
		.to_string()
	}
}
